import { Box, Text } from "@chakra-ui/react";
import { getBatches } from "@/app/lib/batches/action";
import BatchesTable from "./components/table";
import { SearchParamProps } from "@/types/searchParams";

const List = async ({ searchParams }: SearchParamProps) => {

  const batches = await getBatches({ ...searchParams });
  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      <BatchesTable batches={batches} />
    </Box>
  );
};

export default List;
